Today's Status
curl --request GET \
--url https://api.bilauitmcuti.com/api/v1/todayimport requests
url = "https://api.bilauitmcuti.com/api/v1/today"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.bilauitmcuti.com/api/v1/today', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bilauitmcuti.com/api/v1/today",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bilauitmcuti.com/api/v1/today"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bilauitmcuti.com/api/v1/today")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bilauitmcuti.com/api/v1/today")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"apiVersion": "<string>",
"baseUrl": "<string>",
"date": "2023-12-25",
"sessionResolved": {
"id": "<string>",
"label": "<string>",
"group": "<string>"
},
"filters": {
"program": "<string>"
},
"statuses": [
"<string>"
],
"primaryStatus": "<string>",
"matchedActivities": [
{
"name": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"type": "<string>",
"group": "<string>",
"duration": "<string>",
"details": "<string>",
"programType": "<string>",
"programTypes": [
"<string>"
],
"allStudents": true,
"regionalStartDate": "<string>",
"regionalEndDate": "<string>"
}
]
}{
"error": "<string>",
"detail": "<string>",
"retryAfter": 123
}{
"error": "<string>",
"detail": "<string>",
"retryAfter": 123
}UiTM Academic Calendar
Today's Status
Returns what is happening for a given date (defaults to today): class day, break, exam week, or study week from academic calendar data.
GET
https://api.bilauitmcuti.com
/
api
/
v1
/
today
Today's Status
curl --request GET \
--url https://api.bilauitmcuti.com/api/v1/todayimport requests
url = "https://api.bilauitmcuti.com/api/v1/today"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.bilauitmcuti.com/api/v1/today', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bilauitmcuti.com/api/v1/today",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bilauitmcuti.com/api/v1/today"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bilauitmcuti.com/api/v1/today")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bilauitmcuti.com/api/v1/today")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"apiVersion": "<string>",
"baseUrl": "<string>",
"date": "2023-12-25",
"sessionResolved": {
"id": "<string>",
"label": "<string>",
"group": "<string>"
},
"filters": {
"program": "<string>"
},
"statuses": [
"<string>"
],
"primaryStatus": "<string>",
"matchedActivities": [
{
"name": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"type": "<string>",
"group": "<string>",
"duration": "<string>",
"details": "<string>",
"programType": "<string>",
"programTypes": [
"<string>"
],
"allStudents": true,
"regionalStartDate": "<string>",
"regionalEndDate": "<string>"
}
]
}{
"error": "<string>",
"detail": "<string>",
"retryAfter": 123
}{
"error": "<string>",
"detail": "<string>",
"retryAfter": 123
}Query Parameters
Response
Status snapshot for a date.
Was this page helpful?